# Copyright (c) 2015, Xhive
# For license information, please see license.txt


import xhiveframework
from xhiveframework.model.document import Document


class Article(Document):
	def get_article(self):
		pass


@xhiveframework.whitelist()
def get_topics_without_article(article):
	data = []
	for entry in xhiveframework.db.get_all("Topic"):
		topic = xhiveframework.get_doc("Topic", entry.name)
		topic_contents = [tc.content for tc in topic.topic_content]
		if not topic_contents or article not in topic_contents:
			data.append(topic.name)
	return data
