# Copyright (c) 2015, Xhive
# For license information, please see license.txt


import xhiveframework
from xhiveframework import _
from xhiveframework.model.document import Document

STD_CRITERIA = [
	"total",
	"total score",
	"total grade",
	"maximum score",
	"score",
	"grade",
]


class AssessmentCriteria(Document):
	def validate(self):
		if self.assessment_criteria.lower() in STD_CRITERIA:
			xhiveframework.throw(_("Can't create standard criteria. Please rename the criteria"))
