# Copyright (c) 2015, Xhive
# For license information, please see license.txt


import xhiveframework
from xhiveframework import _
from xhiveframework.model.document import Document


class CourseActivity(Document):
	def validate(self):
		self.check_if_enrolled()

	def check_if_enrolled(self):
		if xhiveframework.db.exists("Course Enrollment", self.enrollment):
			return True
		else:
			xhiveframework.throw(_("Course Enrollment {0} does not exists").format(self.enrollment))
