# Copyright (c) 2015, Xhive
# See license.txt

import unittest

import xhiveframework


class TestCourseActivity(unittest.TestCase):
	pass


def make_course_activity(enrollment, content_type, content):
	activity = xhiveframework.get_all(
		"Course Activity",
		filters={"enrollment": enrollment, "content_type": content_type, "content": content},
	)
	try:
		activity = xhiveframework.get_doc("Course Activity", activity[0]["name"])
	except (IndexError, xhiveframework.DoesNotExistError):
		activity = xhiveframework.get_doc(
			{
				"doctype": "Course Activity",
				"enrollment": enrollment,
				"content_type": content_type,
				"content": content,
				"activity_date": xhiveframework.utils.datetime.datetime.now(),
			}
		).insert()
	return activity
