# Copyright (c) 2015, Xhive
// For license information, please see license.txt

xhiveframework.ui.form.on('Student Admission', {
	program: function(frm) {
		if (frm.doc.academic_year && frm.doc.program) {
			frm.doc.route = xhiveframework.model.scrub(frm.doc.program) + "-" + xhiveframework.model.scrub(frm.doc.academic_year)
			frm.refresh_field("route");
		}
	},

	academic_year: function(frm) {
		frm.trigger("program");
	},

	admission_end_date: function(frm) {
		if(frm.doc.admission_end_date && frm.doc.admission_end_date <= frm.doc.admission_start_date){
			frm.set_value("admission_end_date", "");
			xhiveframework.throw(__("Admission End Date should be greater than Admission Start Date."));
		}
	}
});
