from setuptools import setup, find_packages

with open("requirements.txt") as f:
	install_requires = f.read().strip().split("\n")

# get version from __version__ variable in education/__init__.py
from education import __version__ as version

setup(
	name="education",
	version=version,
	description="Education",
	author="XhiveFramework Technologies Pvt. Ltd.",
	author_email="hello@xhiveframework.io",
	packages=find_packages(),
	zip_safe=False,
	include_package_data=True,
	install_requires=install_requires,
)
